﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Models;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace Kendo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var accts = new Accounts();
            var result = accts.LoadAcounts();
            ViewBag.Message = "Modify this template to kick-start your ASP.NET MVC application.";

            return View(result);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
        public ActionResult GetAccounts([DataSourceRequest] DataSourceRequest request)
        {
            var accts = new Accounts();
            var result = accts.LoadAcounts().ToDataSourceResult(request);
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Create([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<Accounts> accts)
        {
            if (accts != null && ModelState.IsValid)
            {
            }
            return Json(ModelState.ToDataSourceResult());
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Update([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<Accounts> accts)
        {
            if (accts != null && ModelState.IsValid)
            {
            }
            return Json(ModelState.ToDataSourceResult());
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Destroy([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<Accounts> accts)
        {
            if (accts != null && ModelState.IsValid)
            {
            }
            return Json(ModelState.ToDataSourceResult());
        }
    }
}
